# Role: ssh

## Description

Installs and configures ssh client.

https://www.openssh.com/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.ssh
  vars:
    ...
```

### Vars

`ssh_configs`:

List of SSH configs to install.

Objects can have fields:

  - 'path'
  - 'owner'
  - 'group'
  - 'config'

`ssh_authorized_keys`:

List of SSH authorized keys to install.

Objects can have fields:

  - 'key'
  - 'path'
  - 'user'
  - 'remote_host'
  - 'remote_path'

`ssh_keys`:

List SSH keys to generate. List items are arguments passed for `community.crypto.openssh_keypair`.

`ssh_reset`:

Remove the SSH config files before installing them.
